## artemis 1.0.5

=== DESCRIPTION ===
Package: artemis
Title: Analysis and Simulation of Environmental DNA Experiments
Version: 1.0.5
Authors@R: c(person(given = "Matt", family = "Espe",
		   role = c("aut", "cre"),
		   email = "mespe@ucdavis.edu"),
		   person(given = "Myfanwy", family = "Johnston",
		   role = c("aut"),
		   email = "myfanwy.johnston@fishsciences.net"))
Description: Provides a modeling framework for the design and analysis of experiments collecting environmental DNA.
License: GPL (>= 3)
Depends: methods, graphics, stats, ggplot2, R (>= 3.5.0), loo
Imports: Rcpp (>= 1.0.1), rstan (>= 2.19.0), lme4 (>= 1.1.21),
        rstantools (>= 2.1.1), utils
Encoding: UTF-8
LazyData: true
NeedsCompilation: yes
SystemRequirements: GNU make
RoxygenNote: 7.1.1
Suggests: testthat, knitr, rmarkdown, markdown, covr
VignetteBuilder: knitr
Biarch: true
LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
        RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
        2.18.0)
Packaged: 2021-05-07 13:48:58 UTC; mespe
Author: Matt Espe [aut, cre],
  Myfanwy Johnston [aut]
Maintainer: Matt Espe <mespe@ucdavis.edu>
Repository: CRAN
Date/Publication: 2021-05-10 07:42:14 UTC

## artemis 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: artemis
 Title: Analysis and Simulation of Environmental DNA Experiments
-Version: 1.0.5
+Version: 1.0.7
 Authors@R: c(person(given = "Matt", family = "Espe",
 		   role = c("aut", "cre"),
 		   email = "mespe@ucdavis.edu"),
@@ -23,9 +23,9 @@
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
         2.18.0)
-Packaged: 2021-05-07 13:48:58 UTC; mespe
+Packaged: 2021-06-14 18:39:28 UTC; mattespe
 Author: Matt Espe [aut, cre],
   Myfanwy Johnston [aut]
 Maintainer: Matt Espe <mespe@ucdavis.edu>
 Repository: CRAN
-Date/Publication: 2021-05-10 07:42:14 UTC
+Date/Publication: 2021-06-14 22:10:02 UTC

## artemis 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: artemis
 Title: Analysis and Simulation of Environmental DNA Experiments
-Version: 1.0.7
+Version: 1.1.0
 Authors@R: c(person(given = "Matt", family = "Espe",
 		   role = c("aut", "cre"),
 		   email = "mespe@ucdavis.edu"),
@@ -23,9 +23,9 @@
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
         2.18.0)
-Packaged: 2021-06-14 18:39:28 UTC; mattespe
+Packaged: 2021-08-09 20:43:49 UTC; matt
 Author: Matt Espe [aut, cre],
   Myfanwy Johnston [aut]
 Maintainer: Matt Espe <mespe@ucdavis.edu>
 Repository: CRAN
-Date/Publication: 2021-06-14 22:10:02 UTC
+Date/Publication: 2021-08-19 20:10:02 UTC

## artemis 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: artemis
 Title: Analysis and Simulation of Environmental DNA Experiments
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(person(given = "Matt", family = "Espe",
 		   role = c("aut", "cre"),
 		   email = "mespe@ucdavis.edu"),
@@ -23,9 +23,9 @@
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
         2.18.0)
-Packaged: 2021-08-09 20:43:49 UTC; matt
+Packaged: 2021-09-07 22:33:04 UTC; mattespe
 Author: Matt Espe [aut, cre],
   Myfanwy Johnston [aut]
 Maintainer: Matt Espe <mespe@ucdavis.edu>
 Repository: CRAN
-Date/Publication: 2021-08-19 20:10:02 UTC
+Date/Publication: 2021-09-08 19:10:09 UTC

## artemis 16.0.0+dfsg

=== Makefile ===
# This is a GNU Makefile for Artemis

# $Header: //tmp/pathsoft/artemis/Makefile,v 1.47 2009-09-21 15:32:03 tjc Exp $

SHELL=/bin/sh

#OPT_FLAGS = -g -deprecation

JAVAC := javac -source 1.5 -target 1.5 $(OPT_FLAGS) $(EXTRA_FLAGS)

REAL_CLASSPATH := CLASSPATH=lib/biojava.jar:lib/jemAlign.jar:lib/j2ssh/j2ssh-core.jar:lib/ibatis/ibatis-2.3.4.726.jar:lib/ibatis/log4j-1.2.14.jar:lib/postgresql-8.4-701.jdbc3.jar:lib/picard/picard.jar:lib/picard/sam.jar:lib/commons-net-2.2.jar:lib/batik/batik-awt-util.jar:lib/batik/batik-dom.jar:lib/batik/batik-ext.jar:lib/batik/batik-svggen.jar:lib/batik/batik-util.jar:lib/batik/batik-xml.jar:.

# NAMES:= \
# 	uk/ac/sanger/artemis/OptionChangeListener \
# 	uk/ac/sanger/artemis/OptionChangeEvent \
# 	uk/ac/sanger/artemis/Options \
# 	uk/ac/sanger/artemis/Selection \
# 	uk/ac/sanger/artemis/components/ArtemisMain \
#   uk/ac/sanger/artemis/components/ActMain \
# 	uk/ac/sanger/artemis/components/Splash \
# 	uk/ac/sanger/artemis/components/ListDialog \
# 	uk/ac/sanger/artemis/components/FeatureListFrame \
# 	uk/ac/sanger/artemis/components/FeatureList \
# 	uk/ac/sanger/artemis/components/FeatureDisplay \
# 	uk/ac/sanger/artemis/components/CanvasPanel \
# 	uk/ac/sanger/artemis/components/EntryGroupDisplay \
# 	uk/ac/sanger/artemis/components/EntryHeaderEdit \
# 	uk/ac/sanger/artemis/components/BasePlotGroup \
# 	uk/ac/sanger/artemis/components/EntryEditVector \
# 	uk/ac/sanger/artemis/components/EntryEdit \
# 	uk/ac/sanger/artemis/components/WritableEMBLCorbaEntrySource \
# 	uk/ac/sanger/artemis/components/DbfetchEntrySource \
# 	uk/ac/sanger/artemis/components/EMBLCorbaEntrySource \
# 	uk/ac/sanger/artemis/components/CorbaEntrySource \
# 	uk/ac/sanger/artemis/components/BioJavaEntrySource \
# 	uk/ac/sanger/artemis/components/FileDialogEntrySource \
# 	uk/ac/sanger/artemis/components/EntryActionListener \
# 	uk/ac/sanger/artemis/components/DisplayComponent \
# 	uk/ac/sanger/artemis/components/EntryFileDialog \
# 	uk/ac/sanger/artemis/components/StickyFileChooser \
# 	uk/ac/sanger/artemis/components/LogReadListener \
# 	uk/ac/sanger/artemis/components/Selector \
# 	uk/ac/sanger/artemis/components/Navigator \
# 	uk/ac/sanger/artemis/components/EntryGroupPanel \
# 	uk/ac/sanger/artemis/components/FeaturePopup \
# 	uk/ac/sanger/artemis/components/WriteMenu \
# 	uk/ac/sanger/artemis/components/SelectMenu \
# 	uk/ac/sanger/artemis/components/GraphMenu \
# 	uk/ac/sanger/artemis/components/RunMenu \
# 	uk/ac/sanger/artemis/components/AddMenu \
# 	uk/ac/sanger/artemis/components/ViewMenu \
# 	uk/ac/sanger/artemis/components/GotoMenu \
# 	uk/ac/sanger/artemis/components/EditMenu \
# 	uk/ac/sanger/artemis/components/SelectionMenu \
# 	uk/ac/sanger/artemis/components/SelectionViewer \
# 	uk/ac/sanger/artemis/components/FeaturePlotGroup \
# 	uk/ac/sanger/artemis/components/FeaturePlot \
# 	uk/ac/sanger/artemis/components/FeatureEdit \
# 	uk/ac/sanger/artemis/components/FeatureViewer \
# 	uk/ac/sanger/artemis/components/SearchResultViewer \
# 	uk/ac/sanger/artemis/components/LogViewer \
# 	uk/ac/sanger/artemis/components/FileViewer \
# 	uk/ac/sanger/artemis/components/MessageFrame \
# 	uk/ac/sanger/artemis/components/MessageDialog \
# 	uk/ac/sanger/artemis/components/YesNoDialog \
# 	uk/ac/sanger/artemis/components/KeyChooser \
# 	uk/ac/sanger/artemis/components/KeyChoice \
# 	uk/ac/sanger/artemis/components/QualifierEditor \
# 	uk/ac/sanger/artemis/components/QualifierTextArea \
# 	uk/ac/sanger/artemis/components/QualifierChoice \
# 	uk/ac/sanger/artemis/components/ChoiceFrame \
# 	uk/ac/sanger/artemis/components/SelectionInfoDisplay \
# 	uk/ac/sanger/artemis/components/EntryGroupMenu \
# 	uk/ac/sanger/artemis/components/EntryGroupInfoDisplay \
# 	uk/ac/sanger/artemis/components/Utilities \
# 	uk/ac/sanger/artemis/components/MarkerRangeRequester \
# 	uk/ac/sanger/artemis/components/MarkerRangeRequesterListener \
# 	uk/ac/sanger/artemis/components/MarkerRangeRequesterEvent \
# 	uk/ac/sanger/artemis/components/TextRequester \
# 	uk/ac/sanger/artemis/components/TextRequesterListener \
# 	uk/ac/sanger/artemis/components/TextRequesterEvent \
# 	uk/ac/sanger/artemis/components/TextDialog \
# 	uk/ac/sanger/artemis/components/BasePlot \
# 	uk/ac/sanger/artemis/components/ProcessWatcher \
# 	uk/ac/sanger/artemis/components/ProcessWatcherEvent \
# 	uk/ac/sanger/artemis/components/ProcessWatcherListener \
# 	uk/ac/sanger/artemis/components/ExternalProgramOptions \
# 	uk/ac/sanger/artemis/components/Plot \
# 	uk/ac/sanger/artemis/components/PlotMouseListener \
# 	uk/ac/sanger/artemis/components/FeatureAminoAcidViewer \
# 	uk/ac/sanger/artemis/components/FeatureBaseViewer \
# 	uk/ac/sanger/artemis/components/SequenceViewer \
# 	uk/ac/sanger/artemis/components/FeatureInfo \
# 	uk/ac/sanger/artemis/components/DisplayAdjustmentListener \
# 	uk/ac/sanger/artemis/components/DisplayAdjustmentEvent \
# 	uk/ac/sanger/artemis/components/ScoreChanger \
# 	uk/ac/sanger/artemis/components/ScoreScrollbar \
# 	uk/ac/sanger/artemis/components/ScoreChangeListener \
# 	uk/ac/sanger/artemis/components/ScoreChangeEvent \
# 	uk/ac/sanger/artemis/components/InputStreamProgressDialog \
# 	uk/ac/sanger/artemis/plot/KarlinSigAlgorithm \
# 	uk/ac/sanger/artemis/plot/UserDataAlgorithm \
# 	uk/ac/sanger/artemis/plot/Codon12CorrelationAlgorithm \
# 	uk/ac/sanger/artemis/plot/ATDeviationAlgorithm \
# 	uk/ac/sanger/artemis/plot/GCDeviationAlgorithm \
# 	uk/ac/sanger/artemis/plot/GCFrameAlgorithm \
# 	uk/ac/sanger/artemis/plot/CodonUsageAlgorithm \
# 	uk/ac/sanger/artemis/plot/CodonUsageFormatException \
# 	uk/ac/sanger/artemis/plot/CodonUsageWeight \
# 	uk/ac/sanger/artemis/plot/CodonWeight \
# 	uk/ac/sanger/artemis/plot/AGWindowAlgorithm \
# 	uk/ac/sanger/artemis/plot/GCSDWindowAlgorithm \
# 	uk/ac/sanger/artemis/plot/GCWindowAlgorithm \
# 	uk/ac/sanger/artemis/plot/HydrophilicityAlgorithm \
# 	uk/ac/sanger/artemis/plot/HydroAlgorithm \
# 	uk/ac/sanger/artemis/plot/HydrophobicityAlgorithm \
# 	uk/ac/sanger/artemis/plot/CoilFeatureAlgorithm \
# 	uk/ac/sanger/artemis/plot/FeatureAlgorithm \
# 	uk/ac/sanger/artemis/plot/BaseAlgorithm \
# 	uk/ac/sanger/artemis/plot/Algorithm \
# 	uk/ac/sanger/artemis/Logger \
# 	uk/ac/sanger/artemis/ExternalProgramListener \
# 	uk/ac/sanger/artemis/ExternalProgramException \
# 	uk/ac/sanger/artemis/ExternalProgramVector \
# 	uk/ac/sanger/artemis/SimpleExternalProgramMonitor \
# 	uk/ac/sanger/artemis/ProcessMonitor \
# 	uk/ac/sanger/artemis/ProcessMonitor \
# 	uk/ac/sanger/artemis/ExternalProgramMonitor \
# 	uk/ac/sanger/artemis/ExternalProgram \
# 	uk/ac/sanger/artemis/EntryGroupChangeListener \
# 	uk/ac/sanger/artemis/EntryGroupChangeEvent \
# 	uk/ac/sanger/artemis/EntryChangeListener \
# 	uk/ac/sanger/artemis/EntryChangeEvent \
# 	uk/ac/sanger/artemis/FilteredEntryGroup \
# 	uk/ac/sanger/artemis/SimpleEntryGroup \
# 	uk/ac/sanger/artemis/EntryGroup \
# 	uk/ac/sanger/artemis/EntryVector \
# 	uk/ac/sanger/artemis/EntrySourceVector \
# 	uk/ac/sanger/artemis/EntrySource \
# 	uk/ac/sanger/artemis/Entry \
# 	uk/ac/sanger/artemis/LastSegmentException \
# 	uk/ac/sanger/artemis/FeatureFromVectorPredicate \
# 	uk/ac/sanger/artemis/FeatureKeyQualifierPredicate \
# 	uk/ac/sanger/artemis/FeatureKeyPredicate \
# 	uk/ac/sanger/artemis/FeaturePatternPredicate \
# 	uk/ac/sanger/artemis/FeaturePredicateConjunction \
# 	uk/ac/sanger/artemis/FeaturePredicate \
# 	uk/ac/sanger/artemis/FeaturePredicateVector \
# 	uk/ac/sanger/artemis/FeatureEnumeration \
# 	uk/ac/sanger/artemis/FeatureSegmentVector \
# 	uk/ac/sanger/artemis/FeatureChangeListener \
# 	uk/ac/sanger/artemis/FeatureChangeEvent \
# 	uk/ac/sanger/artemis/FeatureVector \
# 	uk/ac/sanger/artemis/Feature \
# 	uk/ac/sanger/artemis/FeatureSegment \
# 	uk/ac/sanger/artemis/ActionController \
# 	uk/ac/sanger/artemis/ActionVector \
# 	uk/ac/sanger/artemis/Action \
# 	uk/ac/sanger/artemis/ChangeListener \
# 	uk/ac/sanger/artemis/ChangeEventVector \
# 	uk/ac/sanger/artemis/ChangeEvent \
# 	uk/ac/sanger/artemis/GotoListener \
# 	uk/ac/sanger/artemis/GotoEvent \
# 	uk/ac/sanger/artemis/GotoEventSource \
# 	uk/ac/sanger/artemis/SimpleGotoEventSource \
# 	uk/ac/sanger/artemis/SelectionChangeListener \
# 	uk/ac/sanger/artemis/SelectionChangeEvent \
# 	uk/ac/sanger/artemis/Selectable \
# 	uk/ac/sanger/artemis/sequence/NoSequenceException \
# 	uk/ac/sanger/artemis/sequence/MarkerRangeVector \
# 	uk/ac/sanger/artemis/sequence/MarkerRange \
# 	uk/ac/sanger/artemis/sequence/MarkerChangeListener \
# 	uk/ac/sanger/artemis/sequence/MarkerChangeEvent \
# 	uk/ac/sanger/artemis/sequence/Marker \
# 	uk/ac/sanger/artemis/sequence/Strand \
# 	uk/ac/sanger/artemis/sequence/BasePatternFormatException \
# 	uk/ac/sanger/artemis/sequence/BasePattern \
# 	uk/ac/sanger/artemis/sequence/Bases \
# 	uk/ac/sanger/artemis/sequence/AminoAcidSequence \
# 	uk/ac/sanger/artemis/sequence/SequenceChangeListener \
# 	uk/ac/sanger/artemis/sequence/SequenceChangeEvent \
# 	uk/ac/sanger/artemis/io/BioJavaFeature \
# 	uk/ac/sanger/artemis/io/BioJavaSequence \
# 	uk/ac/sanger/artemis/io/BioJavaEntry \
# 	uk/ac/sanger/artemis/io/GenbankStreamSequence \
# 	uk/ac/sanger/artemis/io/RWCorbaEntry \
# 	uk/ac/sanger/artemis/io/CorbaEntry \
# 	uk/ac/sanger/artemis/io/DocumentEntryFactory \
# 	uk/ac/sanger/artemis/io/BlastDocumentEntry \
# 	uk/ac/sanger/artemis/io/MSPcrunchDocumentEntry \
# 	uk/ac/sanger/artemis/io/GFFDocumentEntry \
# 	uk/ac/sanger/artemis/io/GenbankDocumentEntry \
# 	uk/ac/sanger/artemis/io/EmblDocumentEntry \
# 	uk/ac/sanger/artemis/io/PublicDBDocumentEntry \
# 	uk/ac/sanger/artemis/io/SimpleDocumentEntry \
# 	uk/ac/sanger/artemis/io/DocumentEntry \
# 	uk/ac/sanger/artemis/io/Entry \
# 	uk/ac/sanger/artemis/io/ReadOnlyEntry \
# 	uk/ac/sanger/artemis/io/QualifierInfoException \
# 	uk/ac/sanger/artemis/io/QualifierInfo \
# 	uk/ac/sanger/artemis/io/QualifierInfoVector \
# 	uk/ac/sanger/artemis/io/QualifierInfoHash \
# 	uk/ac/sanger/artemis/chado/DbSqlConfig \
# 	uk/ac/sanger/artemis/circular/DNADraw \
# 	uk/ac/sanger/artemis/circular/digest/Utils \
# 	uk/ac/sanger/artemis/circular/digest/CircularGenomeController \
# 	uk/ac/sanger/artemis/io/GffToEMBL

ARTEMIS_DIRS = uk/ac/sanger/artemis \
uk/ac/sanger/artemis/chado \
uk/ac/sanger/artemis/circular \
uk/ac/sanger/artemis/circular/digest \
uk/ac/sanger/artemis/components \
uk/ac/sanger/artemis/components/alignment \
uk/ac/sanger/artemis/components/database \
uk/ac/sanger/artemis/components/filetree \
uk/ac/sanger/artemis/components/genebuilder \
uk/ac/sanger/artemis/components/genebuilder/cv \
uk/ac/sanger/artemis/components/genebuilder/gff \
uk/ac/sanger/artemis/components/genebuilder/ortholog \
uk/ac/sanger/artemis/components/variant \
uk/ac/sanger/artemis/editor \
uk/ac/sanger/artemis/io \
uk/ac/sanger/artemis/j2ssh \
uk/ac/sanger/artemis/plot \
uk/ac/sanger/artemis/sequence \
uk/ac/sanger/artemis/util

#CLASSES := $(NAMES:%=%.class)
SOURCES := $(foreach DIR,$(ARTEMIS_DIRS),$(wildcard $(DIR)/*.java))
CLASSES := $(SOURCES:%.java=%.class)

all: idl code

# Utils needs to be built before controller
uk/ac/sanger/artemis/circular/digest/CircularGenomeController.class:uk/ac/sanger/artemis/circular/digest/Utils.class
	$(REAL_CLASSPATH) $(JAVAC) $(@:%.class=%.java)

code: $(CLASSES)

topdown: idl
	$(REAL_CLASSPATH) $(JAVAC) uk/ac/sanger/artemis/components/ArtemisMain.java

%.class : %.java
	$(REAL_CLASSPATH) $(JAVAC) $<

idl : type/*.java nsdb/*.java seqdb/*.java

IDL = idlj
IDLCMD = $(IDL) -Icorba

type/*.java : corba/types.idl
	$(IDLCMD) corba/types.idl

nsdb/*.java : corba/nsdb.idl corba/nsdb_write.idl
	$(IDLCMD) corba/nsdb.idl
	$(IDLCMD) corba/nsdb_write.idl

seqdb/*.java : corba/seqdb.idl
	$(IDLCMD) corba/seqdb.idl

doc :
	$(REAL_CLASSPATH) javadoc -J-mx200m -version \
		AppGlobal.java \
		uk.ac.sanger.artemis uk.ac.sanger.artemis.components \
		uk.ac.sanger.artemis.sequence uk.ac.sanger.artemis.plot \
		uk.ac.sanger.artemis.util uk.ac.sanger.artemis.io

manual :
	(cd docs; make)

=== debian/changelog ===
artemis (16.0.0+dfsg-4) unstable; urgency=high

  * Add dependency on libbiojava-java, a package required for
    Artemis to function.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 20 Nov 2015 21:15:22 -0800

artemis (16.0.0+dfsg-3) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Add upstream-contact and update project homepage
  * Add /usr/bin/bamview and a desktop entry for it
  * Note in the description that additional utilities are included

  [ Sascha Steinbiss ]
  * Rename methods to avoid name clash in Java 8 (Closes: #804091)

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 08 Nov 2015 12:51:37 -0800

artemis (16.0.0+dfsg-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Rename artemis.desktop to avoid file name conflict (Closes: 803945)

  [ Emmanuel Bourg ]
  * Depend on libcommons-net-java instead of libcommons-net2-java

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 04 Nov 2015 21:19:08 -0800

artemis (16.0.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #802739)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 23 Oct 2015 00:15:20 -0700

=== debian/control ===
Source: artemis
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	default-jdk,
	javahelper,
	libbiojava-java,
	libj2ssh-java,
	libibatis-java,
	liblog4j1.2-java,
	libpostgresql-jdbc-java,
	picard-tools,
	libsam-java,
	libcommons-net-java,
	libbatik-java,
	jemboss,
# For tests
	ant,
	ant-optional,
	junit4,
	libhamcrest-java,
# To convert gifs to png because gif is not a supported icon format
	imagemagick
Standards-Version: 3.9.6
Homepage: http://www.sanger.ac.uk/science/tools/artemis
Vcs-Git: git://anonscm.debian.org/debian-med/artemis.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/artemis.git

Package: artemis
Architecture: all
Depends:
	${misc:Depends},
	${java:Depends},
# java:Depends adds a dependency on a versioned biojava, but that does not
# contain the required biojava.jar file
	libbiojava-java,
Description: genome browser and annotation tool
 Artemis is a genome browser and annotation tool that allows visualisation of
 sequence features, next generation data and the results of analyses within the
 context of the sequence, and also its six-frame translation. 
 .
 This package includes the Artemis genome browser, the Artemis Comparison
 Tool (ACT), and the DNAplotter and BamView utilities

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1


DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

JAVA_HOME=/usr/lib/jvm/default-java

CUPBOARD = biojava				\
           j2ssh-core				\
           ibatis				\
           log4j-1.2				\
           postgresql-jdbc3			\
           picard				\
           sam					\
           commons-net				\
           batik-awt-util			\
           batik-dom				\
           batik-ext				\
           batik-svggen				\
           batik-util				\
           batik-xml

# hack to be able to use a space as an argument to the subst function
space=
space+=

CLASSPATH := $(foreach jar, $(CUPBOARD), /usr/share/java/$(jar).jar)
CLASSPATH += /usr/share/EMBOSS/jemboss/lib/jemboss.jar \
             $(CURDIR)
export CLASSPATH := $(subst $(space),:,$(strip $(CLASSPATH)))

%:
	dh $@ --with javahelper

override_dh_auto_build:
	$(MAKE) jar
	sed 's|@CLASSPATH@|$(subst :,$(space),$(subst $(CURDIR),/usr/share/java/artemis.jar,$(CLASSPATH)))|g' debian/artemis.manifest.in > \
		debian/artemis.manifest
	convert images/helix.gif -resize 96x96\! images/helix.png

override_dh_auto_test:
	cd test && ant -f build-test.xml test-headless -DEMBOSS_ROOT=/usr

override_dh_auto_clean:
	dh_auto_clean
	$(RM) debian/artemis.manifest
	$(RM) images/helix.png

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/artemis-$1.tar.gz/" \
         https://github.com/sanger-pathogens/Artemis/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## artemis 16.0.17%2Bdfsg

=== debian/changelog ===
artemis (16.0.17+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Avoid use of deprecated SAM access method to fix FTBFS.
    Closes: 846671

  [ Andreas Tille ]
  * Cleanup patches and add DEP3 headers
  * debhelper 10
  * cme fix dpkg-control
  * d/watch: version=4

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Dec 2016 09:39:12 +0100

artemis (16.0.0+dfsg-5) unstable; urgency=medium

  [ Steffen Moeller and Jon Ison ]
  * Introduced EDAM annotation

  [ Sascha Steinbiss ]
  * Bump Standards-Version
  * Use secure Vcs-*

  [ Sascha Steinbiss and Afif Elghraoui ]
  * Patch code to use new htsjdk API (Closes: #808851)

 -- Afif Elghraoui <afif@debian.org>  Sat, 26 Mar 2016 12:26:38 -0700

## artemis 16.0.17+dfsg

=== Makefile ===
# This is a GNU Makefile for Artemis

SHELL=/bin/sh

#OPT_FLAGS = -g -deprecation

JAVAC := javac -source 1.5 -target 1.5 $(OPT_FLAGS) $(EXTRA_FLAGS)

REAL_CLASSPATH := CLASSPATH=lib/commons-lang-2.6.jar:lib/biojava.jar:lib/jemAlign.jar:lib/j2ssh/j2ssh-core.jar:lib/ibatis/ibatis-2.3.4.726.jar:lib/ibatis/log4j-1.2.14.jar:lib/postgresql-8.4-701.jdbc3.jar:lib/picard/picard.jar:lib/picard/sam.jar:lib/commons-net-2.2.jar:lib/batik/batik-awt-util.jar:lib/batik/batik-dom.jar:lib/batik/batik-ext.jar:lib/batik/batik-svggen.jar:lib/batik/batik-util.jar:lib/batik/batik-xml.jar:.

ARTEMIS_DIRS = uk/ac/sanger/artemis \
uk/ac/sanger/artemis/chado \
uk/ac/sanger/artemis/circular \
uk/ac/sanger/artemis/circular/digest \
uk/ac/sanger/artemis/components \
uk/ac/sanger/artemis/components/alignment \
uk/ac/sanger/artemis/components/database \
uk/ac/sanger/artemis/components/filetree \
uk/ac/sanger/artemis/components/genebuilder \
uk/ac/sanger/artemis/components/genebuilder/cv \
uk/ac/sanger/artemis/components/genebuilder/gff \
uk/ac/sanger/artemis/components/genebuilder/ortholog \
uk/ac/sanger/artemis/components/variant \
uk/ac/sanger/artemis/editor \
uk/ac/sanger/artemis/io \
uk/ac/sanger/artemis/j2ssh \
uk/ac/sanger/artemis/plot \
uk/ac/sanger/artemis/sequence \
uk/ac/sanger/artemis/util

SOURCES := $(foreach DIR,$(ARTEMIS_DIRS),$(wildcard $(DIR)/*.java))
CLASSES := $(SOURCES:%.java=%.class)

all: idl code

# Utils needs to be built before controller
uk/ac/sanger/artemis/circular/digest/CircularGenomeController.class:uk/ac/sanger/artemis/circular/digest/Utils.class
	$(REAL_CLASSPATH) $(JAVAC) $(@:%.class=%.java)

code: $(CLASSES)

topdown: idl
	$(REAL_CLASSPATH) $(JAVAC) uk/ac/sanger/artemis/components/ArtemisMain.java

%.class : %.java
	$(REAL_CLASSPATH) $(JAVAC) $<

idl : type/*.java nsdb/*.java seqdb/*.java

IDL = idlj
IDLCMD = $(IDL) -Icorba

type/*.java : corba/types.idl
	$(IDLCMD) corba/types.idl

nsdb/*.java : corba/nsdb.idl corba/nsdb_write.idl
	$(IDLCMD) corba/nsdb.idl
	$(IDLCMD) corba/nsdb_write.idl

seqdb/*.java : corba/seqdb.idl
	$(IDLCMD) corba/seqdb.idl

doc :
	$(REAL_CLASSPATH) javadoc -J-mx200m -version \
		AppGlobal.java \
		uk.ac.sanger.artemis uk.ac.sanger.artemis.components \
		uk.ac.sanger.artemis.sequence uk.ac.sanger.artemis.plot \
		uk.ac.sanger.artemis.util uk.ac.sanger.artemis.io

manual :
	(cd docs; make)

CLASS_FILES := `find org uk nsdb type seqdb -name '*.class' -print`

OTHER_FILES := `find images/PSUlogo.gif images/icon.gif COPYING README.md`

dist :
	rm -rf artemis_compiled.tar.gz tar_build
	mkdir tar_build
	mkdir tar_build/artemis
	rm -f artemis_compiled_latest.tar.gz
	tar cf - $(OTHER_FILES) act art Makefile corba etc | (cd tar_build/artemis; tar xf -)
	tar cf - artemis_sqlmap dnaplotter uk org nsdb type seqdb lib | (cd tar_build/artemis; tar xf -)
	(cd tar_build; find . -name 'CVS' -print | xargs rm -rf; find . -name '.svn' -print | xargs rm -rf; tar cvf ../artemis_compiled.tar artemis)

jar : all artemis.jar

artemis.jar : $(CLASSES)
	mkdir jar_build
	rm -f artemis.jar
	cd jar_build; \
	if [ ! -d org ]; then \
	  for fileJar in ../lib/*.jar; do \
	    jar xvf $$fileJar; \
	    rm -rf META-INF/MANIFEST.MF; \
	  done; \
          for fileJar in ../lib/j2ssh/*.jar; do \
            jar xvf $$fileJar; \
            rm -rf META-INF/MANIFEST.MF; \
          done; \
          for fileJar in ../lib/ibatis/*.jar; do \
            jar xvf $$fileJar; \
            rm -rf META-INF/MANIFEST.MF; \
          done; \
          for fileJar in ../lib/batik/*.jar; do \
            jar xvf $$fileJar; \
            rm -rf META-INF/MANIFEST.MF; \
          done; \
          for fileJar in ../lib/picard/*.jar; do \
            jar xvf $$fileJar; \
            rm -rf META-INF/MANIFEST.MF; \
          done; \
        fi; \
	cp -R ../lib/LICENSE.Apache ../uk ../org ../nsdb ../type ../seqdb ../etc ../images ../lib/j2ssh/j2ssh.properties \
	      ../images/PSUlogo.gif ../images/icon.gif ../README.md ../artemis_sqlmap .
	find jar_build -name '*.java' -print | xargs rm -f
	find jar_build -name '.svn' -print | xargs rm -rf
	cd jar_build; \
	rm -rf META-INF/MANIFEST.MF; \
	echo "Main-Class: uk.ac.sanger.artemis.components.ArtemisMain\nPermissions: all-permissions" > manifest-art; \
	jar cmf manifest-art artemis.jar META-INF/services images/PSUlogo.gif images/icon.gif README.md etc \
	                     artemis_sqlmap org uk com net nsdb type seqdb LICENSE.Apache j2ssh.properties; \
        echo "Main-Class: uk.ac.sanger.artemis.circular.DNADraw\nPermissions: all-permissions" > manifest-circular; \
        jar cmf manifest-circular DNAPlotter.jar images/PSUlogo.gif README.md etc \
                             uk org/gmod org/w3c org/apache org/biojava/bio/ com/ibatis/common/jdbc/ net/sf/samtools/ LICENSE.Apache j2ssh.properties; \
	echo "Main-Class: uk.ac.sanger.artemis.components.alignment.BamView\nPermissions: all-permissions" > manifest-bamview; \
	jar cmf manifest-bamview BamView.jar META-INF/services etc uk org/apache org/biojava org/biojavax org/gmod org/w3c net/sf com/ibatis; \
	echo "Main-Class: uk.ac.sanger.artemis.components.ActMain\nPermissions: all-permissions" > manifest-act; \
	jar cmf manifest-act act.jar META-INF/services images/PSUlogo.gif images/icon.gif README.md etc \
	                     artemis_sqlmap org uk com net nsdb type seqdb LICENSE.Apache j2ssh.properties; \
	rm -f etc/log4j.properties; \
	jar cmf manifest-art artemis_mac.jar images/PSUlogo.gif images/icon.gif README.md \
	        uk org/gmod nsdb type seqdb LICENSE.Apache artemis_sqlmap

clean :
	-rm -rf *.html artemis.jar seqdb nsdb type resources uk/ac/sanger/jcon/ jar_build tar_build  artemis_compiled.tar
	-rm -rf TAGS* *.o
	-find . -name '*.class' -print | xargs rm -f

=== docs/Makefile ===
# $Header: //tmp/pathsoft/artemis/docs/Makefile,v 1.2 2009-01-07 09:25:57 tjc Exp $

SHELL=/bin/sh

SANGER_CAT = /software/pathogen/projects/artemis/docbook-sgml/dtd_4.1/CATALOG

JADE = jade
JADE_PARAM = -t sgml -c $(SANGER_CAT) -d ../artemis.dsl\#html
JADETEX_PARAM = -t tex -c $(SANGER_CAT) -d ../artemis.dsl\#tex

html : art_html act_html 

art_html : art_html_build
act_html : act_html_build

tex : art_tex act_tex

art_tex : art_tex_build
act_tex : act_tex_build

art_html_build : *.sgml *.dsl *.css
	(if [ -d art_html_build ] ; \
	 then \
	   touch art_html_build; \
	 else \
	   mkdir art_html_build; \
	 fi; \
	 cd art_html_build; ln -sf ../*.sgml ../*.gif ../*.png ../*.eps ../*.css .; \
	 $(JADE) $(JADE_PARAM) manual.sgml;\
	 $(JADE) -V nochunks $(JADE_PARAM) manual.sgml > artemis_manual_complete.html)

act_html_build : *.sgml *.dsl *.css
	(if [ -d act_html_build ] ; \
	 then \
	   touch act_html_build; \
	 else \
	   mkdir act_html_build; \
	 fi; \
	 cd act_html_build; ln -sf ../*.sgml ../*.gif ../*.png ../*.eps ../*.css .; \
	 $(JADE) $(JADE_PARAM) act_manual.sgml;\
	 $(JADE) -V nochunks $(JADE_PARAM) act_manual.sgml > act_manual_complete.html)

art_tex_build : *.sgml *.dsl *.css
	(if [ -d art_tex_build ] ; \
	 then \
	   touch art_tex_build; \
	 else \
	   mkdir art_tex_build; \
	 fi; \
	 cd art_tex_build; ln -sf ../*.sgml ../*.gif ../*.ps ../*.eps .; \
	 $(JADE) $(JADETEX_PARAM) manual.sgml)

act_tex_build : *.sgml *.dsl *.css
	(if [ -d act_tex_build ] ; \
	 then \
	   touch act_tex_build; \
	 else \
	   mkdir act_tex_build; \
	 fi; \
	 cd act_tex_build; ln -sf ../*.sgml ../*.gif ../*.ps ../*.eps .; \
	 $(JADE) $(JADETEX_PARAM) act_manual.sgml)

tex_format : art_tex_format act_tex_format

art_tex_format : 
	(cd art_tex_build; latex -fmt jadetex manual.tex; \
	 latex -fmt jadetex manual.tex)

act_tex_format :
	(cd act_tex_build; latex -fmt jadetex act_manual.tex; \
	 latex -fmt jadetex act_manual.tex)

all : clean html tex tex_format

clean :
	rm -rf art_html_build act_html_build art_tex_build act_tex_build

=== debian/changelog ===
artemis (16.0.17+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - RRID -> SciCrunch
    - Added ref to OMICtools and bio.tools

  [ Fabian Klötzl ]
  * add batik-all.jar to classpath (Closes: #879384)

  [ Andreas Tille ]
  * Standards-Version: 4.1.1

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Mon, 23 Oct 2017 10:38:42 +0200

artemis (16.0.17+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Depends: jarwrapper
    Closes: #859660

 -- Andreas Tille <tille@debian.org>  Sun, 14 May 2017 07:40:05 +0200

=== debian/control ===
Source: artemis
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               default-jdk,
               javahelper,
               libbiojava-java,
               libj2ssh-java,
               libibatis-java,
               liblog4j1.2-java,
               libpostgresql-jdbc-java,
               picard-tools,
               libhtsjdk-java,
               libcommons-net-java,
               libcommons-lang3-java,
               libbatik-java,
               jemboss,
# For tests
               ant,
               ant-optional,
               junit4,
               libhamcrest-java,
# To convert gifs to png because gif is not a supported icon format
               imagemagick
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/artemis.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/artemis.git
Homepage: http://www.sanger.ac.uk/science/tools/artemis

Package: artemis
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
# java:Depends adds a dependency on a versioned biojava, but that does not
# contain the required biojava.jar file
         libbiojava-java,
         jarwrapper
Description: genome browser and annotation tool
 Artemis is a genome browser and annotation tool that allows visualisation of
 sequence features, next generation data and the results of analyses within the
 context of the sequence, and also its six-frame translation. 
 .
 This package includes the Artemis genome browser, the Artemis Comparison
 Tool (ACT), and the DNAplotter and BamView utilities.

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
            log4j-1.2				\
            postgresql-jdbc3			\
            picard				\
-           sam					\
+           htsjdk				\
            commons-net				\
+           commons-lang3			\
+           batik-all				\
            batik-awt-util			\
            batik-dom				\
            batik-ext				\

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/artemis-$1.tar.gz/" \
         https://github.com/sanger-pathogens/Artemis/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## artemis 17.0.1+dfsg

=== Makefile ===
# This is a GNU Makefile for Artemis

SHELL=/bin/sh

#OPT_FLAGS = -g -deprecation

JAVAC := javac -source 1.8 -target 1.8 $(OPT_FLAGS) $(EXTRA_FLAGS)

REAL_CLASSPATH := CLASSPATH=lib/commons-lang-2.6.jar:lib/biojava.jar:lib/jemAlign.jar:lib/j2ssh/j2ssh-core.jar:lib/ibatis/ibatis-2.3.4.726.jar:lib/ibatis/log4j-1.2.14.jar:lib/postgresql-8.4-701.jdbc3.jar:lib/picard/picard.jar:lib/commons-net-3.6.jar:lib/batik/batik-awt-util.jar:lib/batik/batik-dom.jar:lib/batik/batik-ext.jar:lib/batik/batik-svggen.jar:lib/batik/batik-util.jar:lib/batik/batik-xml.jar:.

ARTEMIS_DIRS = uk/ac/sanger/artemis \
uk/ac/sanger/artemis/chado \
uk/ac/sanger/artemis/circular \
uk/ac/sanger/artemis/circular/digest \
uk/ac/sanger/artemis/components \
uk/ac/sanger/artemis/components/alignment \
uk/ac/sanger/artemis/components/database \
uk/ac/sanger/artemis/components/filetree \
uk/ac/sanger/artemis/components/genebuilder \
uk/ac/sanger/artemis/components/genebuilder/cv \
uk/ac/sanger/artemis/components/genebuilder/gff \
uk/ac/sanger/artemis/components/genebuilder/ortholog \
uk/ac/sanger/artemis/components/variant \
uk/ac/sanger/artemis/components/ref \
uk/ac/sanger/artemis/editor \
uk/ac/sanger/artemis/io \
uk/ac/sanger/artemis/j2ssh \
uk/ac/sanger/artemis/plot \
uk/ac/sanger/artemis/sequence \
uk/ac/sanger/artemis/util

SOURCES := $(foreach DIR,$(ARTEMIS_DIRS),$(wildcard $(DIR)/*.java))
CLASSES := $(SOURCES:%.java=%.class)

all: code

# Utils needs to be built before controller
uk/ac/sanger/artemis/circular/digest/CircularGenomeController.class:uk/ac/sanger/artemis/circular/digest/Utils.class
	$(REAL_CLASSPATH) $(JAVAC) $(@:%.class=%.java)

code: $(CLASSES)

topdown:
	$(REAL_CLASSPATH) $(JAVAC) uk/ac/sanger/artemis/components/ArtemisMain.java

%.class : %.java
	$(REAL_CLASSPATH) $(JAVAC) $<

doc :
	$(REAL_CLASSPATH) javadoc -J-mx200m -version \
		AppGlobal.java \
		uk.ac.sanger.artemis uk.ac.sanger.artemis.components \
		uk.ac.sanger.artemis.sequence uk.ac.sanger.artemis.plot \
		uk.ac.sanger.artemis.util uk.ac.sanger.artemis.io

manual :
	(cd docs; make)

CLASS_FILES := `find org uk -name '*.class' -print`

OTHER_FILES := `find images/Wellcome_Sanger_Institute_Logo_Landscape_Digital_RGB_Full_Colour.jpg images/icon.gif README.md`

dist :
	rm -rf artemis_compiled.tar.gz tar_build
	mkdir tar_build
	mkdir tar_build/artemis
	tar cf - $(OTHER_FILES) act art dnaplotter bamview setenv Makefile etc | (cd tar_build/artemis; tar xf -)
	tar cf - artemis_sqlmap dnaplotter uk org lib | (cd tar_build/artemis; tar xf -)
	(cd tar_build; find . -name 'CVS' -print | xargs rm -rf; find . -name '.svn' -print | xargs rm -rf; tar cvf ../artemis_compiled.tar artemis)

jar : all artemis.jar

artemis.jar : $(CLASSES)
	mkdir -p jar_build/build
	rm -f *.jar
	cd jar_build/build; \
    for fileJar in ../../lib/*.jar; do \
      jar xvf $$fileJar; \
      rm -rf META-INF/MANIFEST.MF; \
    done; \
    for fileJar in ../../lib/j2ssh/*.jar; do \
      jar xvf $$fileJar; \
      rm -rf META-INF/MANIFEST.MF; \
    done; \
    for fileJar in ../../lib/ibatis/*.jar; do \
      jar xvf $$fileJar; \
      rm -rf META-INF/MANIFEST.MF; \
    done; \
    for fileJar in ../../lib/batik/*.jar; do \
      jar xvf $$fileJar; \
      rm -rf META-INF/MANIFEST.MF; \
    done; \
    for fileJar in ../../lib/picard/*.jar; do \
      jar xvf $$fileJar; \
      rm -rf META-INF/MANIFEST.MF; \
    done; \
	cp -R ../../lib/LICENSE.* ../../uk ../../org ../../etc ../../images ../../lib/j2ssh/j2ssh.properties \
	      ../../images/Wellcome_Sanger_Institute_Logo_Landscape_Digital_RGB_Full_Colour.jpg ../../images/icon.gif ../../README.md ../../artemis_sqlmap .
	find jar_build/build -name '*.java' -print | xargs rm -f
	find jar_build/build -name '.svn' -print | xargs rm -rf
	find jar_build/build -name '*.DS_Store' -print | xargs rm -rf
	cd jar_build/build; \
	rm -rf META-INF/MANIFEST.MF; \
	echo "Main-Class: uk.ac.sanger.artemis.components.ArtemisMain\nPermissions: all-permissions" > manifest-art; \
	jar cmf manifest-art ../artemis.jar META-INF/services images/Wellcome_Sanger_Institute_Logo_Landscape_Digital_RGB_Full_Colour.jpg images/icon.gif README.md etc \
	                     artemis_sqlmap org uk com net htsjdk picard gov joptsimple ngs freemarker LICENSE.Apache LICENSE.Picard LICENSE.JDBC LICENSE j2ssh.properties; \
    echo "Main-Class: uk.ac.sanger.artemis.circular.DNADraw\nPermissions: all-permissions" > manifest-circular; \
    jar cmf manifest-circular ../DNAPlotter.jar images/Wellcome_Sanger_Institute_Logo_Landscape_Digital_RGB_Full_Colour.jpg README.md etc \
                         org uk com net htsjdk picard gov joptsimple ngs freemarker LICENSE.Apache LICENSE.Picard LICENSE.JDBC LICENSE j2ssh.properties; \
	echo "Main-Class: uk.ac.sanger.artemis.components.alignment.BamView\nPermissions: all-permissions" > manifest-bamview; \
	jar cmf manifest-bamview ../bamview.jar META-INF/services etc org uk com net htsjdk picard gov joptsimple ngs freemarker LICENSE.Apache LICENSE.Picard LICENSE.JDBC LICENSE; \
	echo "Main-Class: uk.ac.sanger.artemis.components.ActMain\nPermissions: all-permissions" > manifest-act; \
	jar cmf manifest-act ../act.jar META-INF/services images/Wellcome_Sanger_Institute_Logo_Landscape_Digital_RGB_Full_Colour.jpg images/icon.gif README.md etc \
	                     artemis_sqlmap org uk com net htsjdk picard gov joptsimple ngs freemarker LICENSE.Apache LICENSE.Picard LICENSE.JDBC LICENSE j2ssh.properties; \
	
	rm -rf jar_build/build;

clean :
	-rm -rf *.html artemis.jar resources uk/ac/sanger/jcon/ jar_build tar_build  artemis_compiled.tar
	-rm -rf TAGS* *.o
	-find . -name '*.class' -print | xargs rm -f

=== debian/changelog ===
artemis (17.0.1+dfsg-2) unstable; urgency=medium

  * Add myself to Uploaders to have at least one human uploader after
    Afif removed himself (thanks for your previous work, Afif)
  * Standards-Version: 4.3.0
  * Add primitiv autopkgtest (no idea how to do better for gui programs)
  * Architecture: amd64 (since it depends from now amd64 only libpicard-java)
  * Use jarwrapper at least for executable that should be tested since
    directly calling jars does not work in autopkgtest environment

 -- Andreas Tille <tille@debian.org>  Fri, 08 Feb 2019 11:36:02 +0100

artemis (17.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #893184
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Class FTPSeekableStream should not be excluded
  * Update patch that prevents copying of non-existing files
  * d/rules: Use dh_auto_build instead of $(MAKE)
  * All JAR files named lower case according to Java policy
  * d/watch: use xz compression

 -- Andreas Tille <tille@debian.org>  Tue, 14 Aug 2018 13:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: artemis
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                default-jdk,
                javahelper,
                libbiojava-java,
@@ -22,15 +22,16 @@
                ant-optional,
                junit4,
                libhamcrest-java,
+               libjs-jquery,
 # To convert gifs to png because gif is not a supported icon format
                imagemagick
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/artemis.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/artemis.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/artemis
+Vcs-Git: https://salsa.debian.org/med-team/artemis.git
 Homepage: http://www.sanger.ac.uk/science/tools/artemis
 
 Package: artemis
-Architecture: all
+Architecture: amd64
 Depends: ${misc:Depends},
          ${java:Depends},
 # java:Depends adds a dependency on a versioned biojava, but that does not

=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,20 @@
 	dh $@ --with javahelper
 
 override_dh_auto_build:
-	$(MAKE) jar
+	dh_auto_build -- jar
 	sed 's|@CLASSPATH@|$(subst :,$(space),$(subst $(CURDIR),/usr/share/java/artemis.jar,$(CLASSPATH)))|g' debian/artemis.manifest.in > \
 		debian/artemis.manifest
 	convert images/helix.gif -resize 96x96\! images/helix.png
 
 override_dh_auto_test:
-	cd test && ant -f build-test.xml test-headless -DEMBOSS_ROOT=/usr
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	ln -s /usr/share/javascript/jquery/jquery.js test/coverage-report/evosuite-auto-tests/files/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js test/coverage-report/evosuite-auto-tests/html/files/jquery.js
+	mkdir lib
+	cd test && ant -f build-test.xml run-manual-tests-headless -DEMBOSS_ROOT=/usr # || true
+	rm -rf lib
+	rm test/coverage-report/evosuite-auto-tests/files/jquery.js test/coverage-report/evosuite-auto-tests/html/files/jquery.js
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Test-Command: xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" /usr/bin/bamview -h
Depends: @, xvfb, xauth
Restrictions: allow-stderr

## artemis 18.1.0%2Bdfsg

=== debian/control ===
Source: artemis
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgtdebian@free.fr>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               maven-debian-helper,
               libmaven-enforcer-plugin-java,
               libproperties-maven-plugin-java,
               libmaven-install-plugin-java,
               libmaven-antrun-plugin-java,
               libbuild-helper-maven-plugin-java,
               libmaven-assembly-plugin-java,
               libbiojava-java,
               libj2ssh-java,
               libibatis-java,
               liblog4j1.2-java,
               libpostgresql-jdbc-java,
               libpicard-java,
               libhtsjdk-java,
               libcommons-net-java,
               libcommons-lang3-java,
               libcommons-logging-java,
               libbatik-java,
               jemboss,
               libcglib-java,
# For tests
               junit4 <!nocheck>,
               libslf4j-java <!nocheck>,
               libmockito-java <!nocheck>,
               libjs-jquery,
# To convert gifs to png because gif is not a supported icon format
               imagemagick
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/artemis
Vcs-Git: https://salsa.debian.org/med-team/artemis.git
Homepage: https://sanger-pathogens.github.io/Artemis/Artemis/
Rules-Requires-Root: no

Package: artemis
Architecture: amd64
Depends: ${misc:Depends},
         ${java:Depends},
# java:Depends adds a dependency on a versioned biojava, but that does not
# contain the required biojava.jar file
         libbiojava-java,
         libhtsjdk-java,
         libcommons-net-java,
         libcommons-lang3-java,
         libcommons-logging-java,
         libbatik-java,
         libj2ssh-java,
         libibatis-java,
         liblog4j1.2-java,
         libpostgresql-jdbc-java,
         libpicard-java,
         jemboss,
         libcglib-java,
         default-jre,
         jarwrapper
Description: genome browser and annotation tool
 Artemis is a genome browser and annotation tool that allows visualisation of
 sequence features, next generation data and the results of analyses within the
 context of the sequence, and also its six-frame translation.
 .
 This package includes the Artemis genome browser, the Artemis Comparison
 Tool (ACT), and the DNAplotter and BamView utilities.

## artemis 18.1.0+dfsg

=== debian/changelog ===
artemis (18.1.0+dfsg-6) unstable; urgency=medium

  * Using -Xmx1946m instead of -Xm4g in the autopkgtest, so that it runs on
    32-bit arches

 -- Pierre Gruet <pgt@debian.org>  Sun, 07 Nov 2021 15:25:19 +0100

artemis (18.1.0+dfsg-5) unstable; urgency=medium

  * Upload to unstable, setting the package as Architecture: all seems to be
    OK in experimental
  * Setting the classpath in d/rules is not needed with a Maven build

 -- Pierre Gruet <pgt@debian.org>  Sat, 06 Nov 2021 15:29:24 +0100

artemis (18.1.0+dfsg-4) experimental; urgency=medium

  * Removing useless dependency on jarwrapper
  * Correcting Repository-* fields in d/u/metadata
  * Raising Standards version to 4.6.0 (no change)
  * Providing metainfo files
  * Setting Architecture to all as picard-tools is now Architecture: all
  * Removing the Lintian override about big /usr/share, useless as the package
    is now Architecture: all.

 -- Pierre Gruet <pgt@debian.org>  Fri, 05 Nov 2021 21:14:27 +0100

artemis (18.1.0+dfsg-3) unstable; urgency=medium

  * Changing homepage in d/control and manpages (Closes: #974680)
  * Standards version set to 4.5.1 (no changes needed)

 -- Pierre Gruet <pgtdebian@free.fr>  Fri, 04 Dec 2020 17:28:17 +0100

artemis (18.1.0+dfsg-2) unstable; urgency=medium

  * Marking current autopkgtest as superficial (Closes: #974437)
  * Adding an autopkgtest running some build tests

 -- Pierre Gruet <pgtdebian@free.fr>  Thu, 12 Nov 2020 21:44:47 +0100

artemis (18.1.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix edam syntax input+output is singular

  [ Michael R. Crusoe ]
  * forwarded a patch upstream

  [ Steffen Moeller ]
  * Added ref to conda
  * d/u/metadata: yamllint

  [ Pierre Gruet ]
  * New upstream version 18.1.0+dfsg
    Closes: #963430
  * Bumping Standards version to 4.5.0 (Rules-Requires-Root field added)
  * Depending on debhelper-compat
  * Updating Files-Excluded patterns in debian/copyright
  * Removing patches written for the old ant build
  * Adding metadata relative to Issues and Repository
  * Updating dependencies as Maven now replaces ant for the build
  * Updating debian/copyright as paths have changed
  * Building with Maven instead of ant
  * Fixing insecure uri and trailing whitespaces in debian/control
  * Replacing symlinks to jars with upstream-provided scripts
  * Updating and completing manpages of act and dnaplotter

 -- Pierre Gruet <pgtdebian@free.fr>  Sun, 06 Sep 2020 22:43:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: artemis
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Pierre Gruet <pgtdebian@free.fr>
+           Pierre Gruet <pgt@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -34,14 +34,14 @@
                libjs-jquery,
 # To convert gifs to png because gif is not a supported icon format
                imagemagick
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/artemis
 Vcs-Git: https://salsa.debian.org/med-team/artemis.git
 Homepage: https://sanger-pathogens.github.io/Artemis/Artemis/
 Rules-Requires-Root: no
 
 Package: artemis
-Architecture: amd64
+Architecture: all
 Depends: ${misc:Depends},
          ${java:Depends},
 # java:Depends adds a dependency on a versioned biojava, but that does not
@@ -59,8 +59,7 @@
          libpicard-java,
          jemboss,
          libcglib-java,
-         default-jre,
-         jarwrapper
+         default-jre
 Description: genome browser and annotation tool
  Artemis is a genome browser and annotation tool that allows visualisation of
  sequence features, next generation data and the results of analyses within the

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/artemis-$1.tar.gz/,repack,compression=xz" \
         https://github.com/sanger-pathogens/Artemis/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
